## mlt 6.6.0

=== Makefile ===
SUBDIRS = src/framework \
		  src/mlt++ \
		  src/melt \
		  src/modules \
		  src/swig \
		  profiles

all clean:
	list='$(SUBDIRS)'; \
	for subdir in $$list; do \
		$(MAKE) -s -C $$subdir depend || exit 1; \
		$(MAKE) -C $$subdir $@ || exit 1; \
	done

distclean:
	rm -f mlt-config packages.dat
	list='$(SUBDIRS)'; \
	for subdir in $$list; do \
		$(MAKE) -C $$subdir $@ || exit 1; \
	done
	echo > config.mak

dist-clean: distclean

include config.mak

install:
	install -d "$(DESTDIR)$(prefix)/bin"
	install -d "$(DESTDIR)$(prefix)/include"
	install -d "$(DESTDIR)$(libdir)"
	install -d "$(DESTDIR)$(moduledir)"
ifeq ($(extra_versioning), true)
	ln -s "$(moduledir)" "$(DESTDIR)$(unversionedmoduledir)"
endif
	install -d "$(DESTDIR)$(libdir)/pkgconfig"
	install -d "$(DESTDIR)$(mltdatadir)"
ifeq ($(extra_versioning), true)
	ln -s "$(mltdatadir)" "$(DESTDIR)$(unversionedmltdatadir)"
endif
	install -c -m 644 *.pc "$(DESTDIR)$(libdir)/pkgconfig"
	list='$(SUBDIRS)'; \
	for subdir in $$list; do \
		$(MAKE) DESTDIR=$(DESTDIR) -C $$subdir $@ || exit 1; \
	done
	cp -R presets "$(DESTDIR)$(mltdatadir)"

uninstall:
	rm -f "$(DESTDIR)$(bindir)"/mlt-config
	rm -f "$(DESTDIR)$(libdir)"/pkgconfig/mlt-framework.pc
	rm -f "$(DESTDIR)$(libdir)"/pkgconfig/mlt++.pc
	list='$(SUBDIRS)'; \
	for subdir in $$list; do \
		$(MAKE) DESTDIR=$(DESTDIR) -C $$subdir $@ || exit 1; \
	done
	rm -rf "$(DESTDIR)$(prefix)/include/mlt"
	rm -rf "$(DESTDIR)$(mltdatadir)"
ifeq ($(compat_dirs), true)
	rm -rf "$(DESTDIR)$(prefix)/share/mlt"
endif

dist:
	git archive --format=tar --prefix=mlt-$(version)/ v$(version) | gzip >mlt-$(version).tar.gz

validate-yml:
	for file in $$(find src/modules -type f -name \*.yml); do \
		echo "validate: $$file"; \
		kwalify -f src/framework/metaschema.yaml $$file || exit 1; \
	done

=== src/framework/Makefile ===
include ../../config.mak
include config.mak

NAME = libmlt$(LIBSUF)
TARGET = $(NAME).$(version)

ifeq ($(targetos), Darwin)
NAME = libmlt$(LIBSUF)
TARGET = libmlt.$(version)$(LIBSUF)
SONAME = libmlt.$(soversion)$(LIBSUF)
SHFLAGS += -install_name $(libdir)/$(SONAME) -current_version $(version) -compatibility_version $(soversion)
else ifeq ($(targetos), MinGW)
NAME = libmlt$(LIBSUF)
TARGET = libmlt-$(soversion)$(LIBSUF)
SHFLAGS += -Wl,--output-def,libmlt.def
else
NAME = libmlt$(LIBSUF)
TARGET = $(NAME).$(version)
SONAME = $(NAME).$(soversion)
SHFLAGS += -Wl,-soname,$(SONAME)
endif

ifeq ($(targetos), Linux)
SHFLAGS += -Wl,--version-script=mlt.vers
endif

OBJS = mlt_frame.o \
	   mlt_version.o \
	   mlt_geometry.o \
	   mlt_deque.o \
	   mlt_property.o \
	   mlt_properties.o \
	   mlt_events.o \
	   mlt_parser.o \
	   mlt_service.o \
	   mlt_producer.o \
	   mlt_multitrack.o \
	   mlt_playlist.o \
	   mlt_consumer.o \
	   mlt_filter.o \
	   mlt_transition.o \
	   mlt_field.o \
	   mlt_tractor.o \
	   mlt_factory.o \
	   mlt_repository.o \
	   mlt_pool.o \
	   mlt_tokeniser.o \
	   mlt_profile.o \
	   mlt_log.o \
	   mlt_cache.o \
	   mlt_animation.o \
	   mlt_slices.o

INCS = mlt_consumer.h \
	   mlt_version.h \
	   mlt_factory.h \
	   mlt_filter.h \
	   mlt.h \
	   mlt_multitrack.h \
	   mlt_pool.h \
	   mlt_properties.h \
	   mlt_events.h \
	   mlt_parser.h \
	   mlt_repository.h \
	   mlt_tractor.h \
	   mlt_types.h \
	   mlt_deque.h \
	   mlt_field.h \
	   mlt_frame.h \
	   mlt_geometry.h \
	   mlt_playlist.h \
	   mlt_producer.h \
	   mlt_property.h \
	   mlt_service.h  \
	   mlt_transition.h \
	   mlt_tokeniser.h \
	   mlt_profile.h \
	   mlt_log.h \
	   mlt_cache.h \
	   mlt_animation.h \
	   mlt_slices.h

SRCS := $(OBJS:.o=.c)

ifeq ($(targetos), MinGW)
LDFLAGS += -liconv
OBJS += ../win32/win32.o
SRCS += ../win32/win32.c
endif

CFLAGS += $(RDYNAMIC) -DPREFIX_DATA="\"$(mltdatadir)\"" -DPREFIX_LIB="\"$(moduledir)\""

LDFLAGS += $(LIBDL) -lpthread -lm

all:	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)
		ln -sf $(TARGET) $(NAME)
		if [ "$(targetos)" != "MinGW" ]; then \
			ln -sf $(TARGET) $(SONAME) ; \
		fi

depend:	$(SRCS)
	$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET) $(NAME) $(SONAME) libmlt.def

install:
	install -d $(DESTDIR)$(libdir)
	if [ "$(targetos)" = "MinGW" ]; then \
		install -m 755 $(TARGET) $(DESTDIR)$(prefix) ; \
		install -m 755 $(TARGET) $(DESTDIR)$(libdir)/libmlt.dll ; \
		install -m 644 libmlt.def $(DESTDIR)$(libdir) ; \
	else \
		install -m 755 $(TARGET) $(DESTDIR)$(libdir) ; \
		ln -sf $(TARGET) $(DESTDIR)$(libdir)/$(SONAME) ; \
		ln -sf $(TARGET) $(DESTDIR)$(libdir)/$(NAME) ; \
	fi
	install -d "$(DESTDIR)$(prefix)/include/mlt/framework"
	install -m 644 $(INCS) "$(DESTDIR)$(prefix)/include/mlt/framework"
	install -d "$(DESTDIR)$(mltdatadir)"
	install -m 644 metaschema.yaml "$(DESTDIR)$(mltdatadir)"

uninstall:
	rm -f "$(DESTDIR)$(libdir)/$(TARGET)"
	if [ "$(targetos)" != "MinGW" ]; then \
		rm -f "$(DESTDIR)$(libdir)/$(SONAME)" ; \
		rm -f "$(DESTDIR)$(libdir)/$(NAME)" ; \
	fi
	rm -rf "$(DESTDIR)$(prefix)/include/mlt/framework"
	rm -f "$(DESTDIR)$(mltdatadir)/metaschema.yaml"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/melt/Makefile ===
include ../../config.mak

OBJS = melt.o \
	   io.o

CFLAGS += -I.. $(RDYNAMIC) -DVERSION=\"$(version)\"

LDFLAGS += -L../framework -lmlt -lpthread

SRCS := $(OBJS:.o=.c)

ifeq (, $(findstring MELT_NOSDL, $(CFLAGS)))
ifeq (yes, $(shell pkg-config --exists sdl2 && echo yes))
CFLAGS += -DHAVE_SDL2
CFLAGS  += $(shell pkg-config --cflags sdl2)
LDFLAGS += $(shell pkg-config --libs sdl2)
else ifeq (yes, $(shell pkg-config --exists sdl && echo yes))
CFLAGS  += $(shell pkg-config --cflags sdl)
LDFLAGS += $(shell pkg-config --libs sdl)
else
CFLAGS  += $(shell sdl-config --cflags)
LDFLAGS += $(shell sdl-config --libs)
endif
endif

ifeq ($(targetos), MinGW)
bindir = $(prefix)
endif

all: $(meltname)

$(meltname): $(OBJS)
		$(CC) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(meltname)

install:	all
	install -d "$(DESTDIR)$(bindir)"
	install -c -m 755 $(meltname) "$(DESTDIR)$(bindir)"
ifeq ($(extra_versioning), true)
ifeq ($(melt_noversion), false)
	ln -s $(meltname) "$(DESTDIR)$(bindir)/melt"
endif
endif

uninstall:
	rm -f "$(DESTDIR)$(bindir)/$(meltname)"
ifeq ($(extra_versioning), true)
ifeq ($(melt_noversion), false)
	rm -f "$(DESTDIR)$(bindir)/melt"
endif
endif

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/mlt++/Makefile ===
include ../../config.mak
include config.mak
INSTALL = install

ifeq ($(targetos), Darwin)
NAME = libmlt++$(LIBSUF)
TARGET = libmlt++.$(version)$(LIBSUF)
SONAME = libmlt++.$(soversion)$(LIBSUF)
LIBFLAGS += -install_name $(libdir)/$(SONAME) -current_version $(version) -compatibility_version $(soversion)
else ifeq ($(targetos), MinGW)
NAME = libmlt++$(LIBSUF)
TARGET = libmlt++-$(soversion)$(LIBSUF)
CXXFLAGS += -DMLTPP_EXPORTS
LIBFLAGS += -Wl,--output-def,libmlt++.def
else
NAME = libmlt++$(LIBSUF)
TARGET = $(NAME).$(version)
SONAME = $(NAME).$(soversion)
LIBFLAGS += -Wl,-soname,$(SONAME)
endif

CXXFLAGS += -I.. $(RDYNAMIC) -DVERSION=\"$(version)\" -fvisibility=hidden

LDFLAGS += -L../framework -lmlt
ifeq ($(targetos), Linux)
LDFLAGS += -Wl,--version-script=mlt++.vers
endif

OBJS = MltAnimation.o \
	   MltConsumer.o \
	   MltDeque.o \
	   MltEvent.o \
	   MltFactory.o \
	   MltField.o \
	   MltFilter.o \
	   MltFilteredConsumer.o \
	   MltFilteredProducer.o \
	   MltFrame.o \
	   MltGeometry.o \
	   MltMultitrack.o \
	   MltParser.o \
	   MltPlaylist.o \
	   MltProducer.o \
	   MltProfile.o \
	   MltProperties.o \
	   MltPushConsumer.o \
	   MltRepository.o \
	   MltService.o \
	   MltTokeniser.o \
	   MltTractor.o \
	   MltTransition.o

SRCS = $(OBJS:.o=.cpp)
HEADERS = MltConfig.h Mlt.h $(OBJS:.o=.h)

all:		$(TARGET)

$(TARGET):	$(OBJS)
	$(CXX) $(LIBFLAGS) -o $@ $(OBJS) $(LDFLAGS)
	ln -sf $(TARGET) $(NAME)
	if [ "$(targetos)" != "MinGW" ]; then \
		ln -sf $(TARGET) $(SONAME) ; \
	fi

depend:	$(SRCS)
	$(CXX) -MM $(CXXFLAGS) $^ 1>.depend

clean:
	$(RM) $(OBJS) $(TARGET) $(NAME) $(SONAME) libmlt++.def

distclean:	clean

install:
	$(INSTALL) -d "$(DESTDIR)$(libdir)"
	if [ "$(targetos)" = "MinGW" ]; then \
		$(INSTALL) -m 755 $(TARGET) $(DESTDIR)$(prefix) ; \
		$(INSTALL) -m 755 $(TARGET) $(DESTDIR)$(libdir)/libmlt++.dll ; \
		$(INSTALL) -m 644 libmlt++.def $(DESTDIR)$(libdir) ; \
	else \
		$(INSTALL) -m 755 $(TARGET) $(DESTDIR)$(libdir) ; \
		ln -sf $(TARGET) $(DESTDIR)$(libdir)/$(SONAME) ; \
		ln -sf $(TARGET) $(DESTDIR)$(libdir)/$(NAME) ; \
	fi
	$(INSTALL) -d "$(DESTDIR)$(prefix)/include/mlt++"
	$(INSTALL) -m 644 $(HEADERS) "$(DESTDIR)$(prefix)/include/mlt++"

uninstall:
	rm -f "$(DESTDIR)$(libdir)/$(TARGET)"
	if [ "$(targetos)" != "MinGW" ]; then \
		rm -f "$(DESTDIR)$(libdir)/$(NAME)" ; \
		rm -f "$(DESTDIR)$(libdir)/$(SONAME)" ; \
	fi
	rm -rf "$(DESTDIR)$(prefix)/include/mlt++"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/swig/Makefile ===
include ../../config.mak
include config.mak

all clean:
	list='$(SUBDIRS)'; \
	for subdir in $$list; do \
		if [ -x $$subdir/build -a ! -f .$$subdir -o $@ = clean ] ; \
		then echo -n Building $$subdir... ; \
			cd $$subdir && output=$$(CXXFLAGS="$(CXXFLAGS)" ./build $@ 2>&1) ; \
			if [ $$? -eq 0 ] ; \
			then echo OK && touch ../.$$subdir ; \
			else echo $$output && exit 1 ; \
			fi ; \
			cd .. ; \
			if [ -f $$subdir/Makefile -a -f .$$subdir ] ; \
			then $(MAKE) -C $$subdir $@ || exit 1 ; \
			fi ; \
			if [ $@ = clean ] ; \
			then rm -f .$$subdir ; \
			fi ; \
		fi \
	done

distclean: clean

depend:

install:

uninstall:

=== src/modules/avformat/Makefile ===
CFLAGS += -I../..
LDFLAGS += -L../../framework -lmlt -lpthread -lm

include ../../../config.mak
include config.mak

LDFLAGS += $(EXTRA_LIBS)

ifndef CODECS
TARGET = ../libmltffmpeg$(LIBSUF)
else
TARGET = ../libmltavformat$(LIBSUF)
endif

OBJS = factory.o

ifdef FILTERS
OBJS += filter_avcolour_space.o \
	    filter_avdeinterlace.o \
	    filter_swscale.o
CFLAGS += -DFILTERS
endif

ifdef VDPAU
CFLAGS += -DVDPAU $(shell pkg-config pkg-config --cflags x11)
LDFLAGS += $(LIBDL) $(shell pkg-config pkg-config --libs x11)
endif

ifdef CODECS
OBJS += producer_avformat.o \
	    consumer_avformat.o
CFLAGS += -DCODECS
endif

ifdef DEVICES
CFLAGS += -DAVDEVICE
endif

ifdef AVFILTER
CFLAGS += -DAVFILTER
OBJS += filter_avfilter.o
endif

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
	$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
	$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
	rm -f .depend

clean:	
	rm -f $(OBJS) ../libmltffmpeg$(LIBSUF) ../libmltavformat$(LIBSUF)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(moduledir)"
	install -d "$(DESTDIR)$(mltdatadir)/avformat"
	install -m 644 blacklist.txt "$(DESTDIR)$(mltdatadir)/avformat"
	install -m 644 producer_avformat.yml "$(DESTDIR)$(mltdatadir)/avformat"
	install -m 644 consumer_avformat.yml "$(DESTDIR)$(mltdatadir)/avformat"

uninstall:
	rm -f "$(DESTDIR)$(moduledir)/libmltavformat$(LIBSUF)"
	rm -f "$(DESTDIR)$(moduledir)/libmltffmpeg$(LIBSUF)"
	rm -rf "$(DESTDIR)$(mltdatadir)/avformat"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/core/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lm -lpthread

include ../../../config.mak

TARGET = ../libmltcore$(LIBSUF)

OBJS = factory.o \
	   producer_colour.o \
	   producer_consumer.o \
	   producer_hold.o \
	   producer_loader.o \
	   producer_melt.o \
	   producer_noise.o \
	   producer_timewarp.o \
	   producer_tone.o \
	   filter_audiochannels.o \
	   filter_audiomap.o \
	   filter_audioconvert.o \
	   filter_audiowave.o \
	   filter_brightness.o \
	   filter_channelcopy.o \
	   filter_crop.o \
	   filter_data_feed.o \
	   filter_data_show.o \
	   filter_fieldorder.o \
	   filter_gamma.o \
	   filter_greyscale.o \
	   filter_imageconvert.o \
	   filter_luma.o \
	   filter_mirror.o \
	   filter_mono.o \
	   filter_obscure.o \
	   filter_panner.o \
	   filter_region.o \
	   filter_rescale.o \
	   filter_resize.o \
	   filter_transition.o \
	   filter_watermark.o \
	   transition_composite.o \
	   transition_luma.o \
	   transition_mix.o \
	   transition_region.o \
	   transition_matte.o \
	   consumer_multi.o \
	   consumer_null.o

ifdef SSE2_FLAGS
ifdef ARCH_X86_64
OBJS += composite_line_yuv_sse2_simple.o
endif
endif

ASM_OBJS = 

SRCS := $(OBJS:.o=.c)

ifeq ($(targetos), MinGW)
CFLAGS += -I../../win32
OBJS += ../../win32/fnmatch.o
SRCS += ../../win32/fnmatch.c
endif

all: 	$(TARGET)

$(TARGET): $(OBJS) $(ASM_OBJS)
	$(CC) $(SHFLAGS) -o $@ $(OBJS) $(ASM_OBJS) $(LDFLAGS)

composite_line_yuv_mmx.o: composite_line_yuv_mmx.S
	$(CC) -o $@ -c composite_line_yuv_mmx.S

depend:	$(SRCS)
	$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
	rm -f .depend

clean:	
	rm -f $(OBJS) $(ASM_OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(moduledir)"
	install -d "$(DESTDIR)$(mltdatadir)/core"
	install -m 644 data_fx.properties "$(DESTDIR)$(mltdatadir)/core"
	install -m 644 loader.dict "$(DESTDIR)$(mltdatadir)/core"
	install -m 644 loader.ini "$(DESTDIR)$(mltdatadir)/core"
	install -m 644 *.yml "$(DESTDIR)$(mltdatadir)/core"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/dv/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lpthread

include ../../../config.mak

TARGET = ../libmltdv$(LIBSUF)

OBJS = factory.o \
	   producer_libdv.o \
	   consumer_libdv.o

CFLAGS += `pkg-config --cflags libdv`

LDFLAGS += `pkg-config --libs libdv`

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(moduledir)"
	install -d "$(DESTDIR)$(mltdatadir)/dv"
	install -m 644 *.yml "$(DESTDIR)$(mltdatadir)/dv"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/frei0r/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt

include ../../../config.mak

TARGET = ../libmltfrei0r$(LIBSUF)

OBJS = factory.o \
	   producer_frei0r.o \
	   filter_frei0r.o \
	   transition_frei0r.o \
	   frei0r_helper.o

CFLAGS += $(shell pkg-config --cflags frei0r 2> /dev/null)

LDFLAGS += -lm $(LIBDL)
LDFLAGS += $(shell pkg-config --libs frei0r 2> /dev/null)

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(moduledir)"
	install -d "$(DESTDIR)$(mltdatadir)/frei0r"
	install -m 644 blacklist.txt "$(DESTDIR)$(mltdatadir)/frei0r"
	install -m 644 not_thread_safe.txt "$(DESTDIR)$(mltdatadir)/frei0r"
	install -m 644 param_name_map.yaml "$(DESTDIR)$(mltdatadir)/frei0r"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/linsys/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lpthread

include ../../../config.mak
include config.mak

TARGET = ../libmltlinsys$(LIBSUF)

OBJS = factory.o \
	   consumer_SDIstream.o

ifdef WITH_JPEG
CFLAGS += -DWITH_JPEG
LDFLAGS += -ljpeg
endif

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(moduledir)"
	install -d "$(DESTDIR)$(mltdatadir)/linsys"
	install -m 644 *.yml "$(DESTDIR)$(mltdatadir)/linsys"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/lumas/Makefile ===
include ../../../config.mak
LDFLAGS=

all:	luma create_lumas
	@./create_lumas 

luma:	luma.c
# When cross-compiling, use the host OS compiler to build the luma
# binary because the files are generated at build time.
# Strips the CROSS prefix from the C compiler variable.
ifdef CROSS
	$(subst $(CROSS),,$(CC)) -o $@ luma.c
endif

create_lumas:

depend:

distclean:
	rm -rf PAL NTSC luma 

clean:
	rm -f luma 

install:	all
	install -d $(DESTDIR)$(mltdatadir)/lumas/PAL
	install -d $(DESTDIR)$(mltdatadir)/lumas/NTSC
	install -m 644 PAL/* $(DESTDIR)$(mltdatadir)/lumas/PAL
	install -m 644 NTSC/* $(DESTDIR)$(mltdatadir)/lumas/NTSC

=== src/modules/plus/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lm -lpthread

include ../../../config.mak
include config.mak

TARGET = ../libmltplus$(LIBSUF)

OBJS = consumer_blipflash.o \
	   factory.o \
	   filter_affine.o \
	   filter_charcoal.o \
	   filter_dynamictext.o \
	   filter_dynamic_loudness.o \
	   filter_invert.o \
	   filter_lift_gamma_gain.o \
	   filter_loudness.o \
	   filter_loudness_meter.o \
	   filter_lumakey.o \
	   filter_rgblut.o \
	   filter_sepia.o \
	   producer_blipflash.o \
	   producer_count.o \
	   transition_affine.o

ifdef USE_FFTW
	OBJS += filter_dance.o \
	   filter_fft.o
endif

ifdef USE_INTERNAL_LIBEBUR128
	OBJS += ebur128/ebur128.o
endif

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET) 

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(moduledir)"
	install -d "$(DESTDIR)$(mltdatadir)/plus"
	install -m 644 *.yml "$(DESTDIR)$(mltdatadir)/plus"

ifneq ($(wildcard .depend),)
include .depend
endif

=== debian/changelog ===
mlt (6.6.0-1build1) bionic; urgency=medium

  * No-change rebuild for libmovit soname change. 

 -- Matthias Klose <doko@debian.org>  Tue, 30 Jan 2018 16:53:12 +0100

mlt (6.6.0-1) unstable; urgency=medium

  * New upstream release.
    - Remove merged patch 01-crash-affine.
    - Remove merged patch 02-crash-clipinfo-update.
    - Remove merged patch 03-use-external-libebur.
    - Remove merged patch 04-allow-repository_deletion_without_side_effect.
    - Remove merged patch 05-fix_build_with_glibc_2.26.
    - Add new build dependency libsdl2-dev to enable the new SDL2 module.
  * Bump Standards-Version to 4.1.3 (no changes required).
  * Bump debian/compat to level 11.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 24 Jan 2018 10:25:16 +0100

mlt (6.4.1-6) unstable; urgency=medium

  * Remove Fathi Boudra from uploaders. Thanks for your previous work!
    Closes: #879412
  * Bump Standards-Version to 4.1.1 (no changes required).
  * Use secure homepage URI.
  * Add patch 04-allow-repository_deletion_without_side_effect to fix a crash
    on exiting kdenlive.
    Closes: #869226
  * Adopt patch 05-fix_build_with_glibc_2.26 to fix a FTBFS with newer glibc
    versions.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 08 Nov 2017 10:50:04 +0100

mlt (6.4.1-5) unstable; urgency=medium

  * Bump Standards-Version to 4.0.0 (no changes required).
  * Drop dbg package.
  * Restrict build dependency on librtaudio-dev to linux-any.
    Closes: #866625

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 03 Jul 2017 09:46:32 +0200

=== debian/control ===
Source: mlt
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper (>= 11),
 ffmpeg,
 libqt5opengl5-dev,
 libqt5svg5-dev,
 ladspa-sdk,
 libavdevice-dev,
 libavformat-dev,
 libdv4-dev,
 libgtk2.0-dev,
 libexif-dev,
 libexif-gtk-dev,
 libmovit-dev,
 libfftw3-dev,
 libjack-dev,
 libsamplerate-dev,
 libsdl1.2-dev,
 libsdl2-dev,
 libsox-dev (>= 14.3.0),
 libswscale-dev,
 libvorbis-dev,
 libxine2-dev,
 libxml2-dev,
 librtaudio-dev [linux-any],
 imagemagick,
 frei0r-plugins-dev,
 swig,
 libebur128-dev (>= 1.2.0-2),
 dh-python,
 python-all-dev (>= 2.6.6-3~)
Standards-Version: 4.1.3
Section: libs
Homepage: https://www.mltframework.org

Package: libmlt-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libmlt6 (= ${binary:Version})
Description: multimedia framework (development)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the static libraries and headers for developing
 applications that use the MLT multimedia framework.

Package: libmlt6
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Recommends: libmlt-data (>= ${source:Version})
Conflicts: libmlt0.2,
 libmlt0.2.5,
 libmlt1,
 libmlt2,
 libmlt3,
 libmlt4,
 libmlt5
Replaces: libmlt0.2,
 libmlt0.2.5,
 libmlt1,
 libmlt2,
 libmlt3,
 libmlt4,
 libmlt5
Description: multimedia framework (runtime)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the files necessary for running applications that
 use the MLT multimedia framework.

Package: libmlt-data
Architecture: all
Depends: ${misc:Depends}
Enhances: libmlt6
Description: multimedia framework (data)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the data files for the MLT multimedia framework.

Package: libmlt++-dev
Section: libdevel
Architecture: any
Depends: libmlt++3 (= ${binary:Version}),
 ${misc:Depends}
Description: MLT multimedia framework C++ wrapper (development)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the static libraries and headers for developing
 applications that use the MLT multimedia framework C++ wrapper.

Package: libmlt++3
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Conflicts: libmlt++0.2,
 libmlt++2
Replaces: libmlt++0.2,
 libmlt++2
Description: MLT multimedia framework C++ wrapper (runtime)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the files necessary for running applications that
 use the MLT multimedia framework C++ wrapper.

Package: melt
Section: utils
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libmlt-data (>= ${source:Version})
Description: command line media player and video editor
 melt was meant as a test tool for the MLT framework, but it is also a powerful
 multitrack command line oriented video editor. It could also used as an
 minimalistic media player for audio and video files.

Package: python-mlt
Architecture: any
Section: python
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${python:Depends}
Provides: ${python:Provides}
Conflicts: python-mlt2,
 python-mlt3,
 python-mlt5
Replaces: python-mlt2,
 python-mlt3,
 python-mlt5
Description: multimedia framework (Python bindings)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the Python bindings for the mlt package.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Enable MMX and SSE on amd64 architecture
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), "amd64"))
	EXTRA_CONFIGURE_OPTS += --enable-mmx --enable-sse
else
	EXTRA_CONFIGURE_OPTS += --disable-mmx --disable-sse --disable-sse2
endif

DEB_CONFIGURE_EXTRA_FLAGS := \
	--enable-gpl \
	--enable-gpl3 \
	--enable-motion_est \
	$(EXTRA_CONFIGURE_OPTS) \
	--avformat-shared=/usr \
	--swig-languages=python \
	--qimage-libdir=/usr/lib \
	--disable-swfdec

PYTHON_DIR := usr/lib/$(shell pyversions -d)/dist-packages

%:
	dh $@ --with python2

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_auto_clean:
	[ ! -f config.mak ] || $(MAKE) distclean
	rm -f config.log *.pc src/modules/gtk2/config.h packages.dat src/modules/make.inc
	find \( -name '*.o' -o -name '*.mak' -o -name '.depend' \) -delete

override_dh_install:
	mkdir -p debian/python-mlt/$(PYTHON_DIR)
	install -m 644 src/swig/python/mlt.py debian/python-mlt/$(PYTHON_DIR)/mlt.py
	install -m 644 src/swig/python/_mlt.so debian/python-mlt/$(PYTHON_DIR)/_mlt.so
	dh_install --list-missing

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_python2:
	dh_python2 --no-guessing-versions

## mlt 6.8.0

=== debian/changelog ===
mlt (6.8.0-1) unstable; urgency=medium

  * New upstream release.
    - Remove merged patch 01-qimage-segfault.
    - Remove merged patch 02-qimage-crash.
    - Remove merged patch 03-crash-kdenlivetile.
    - Remove merged patch 04-rotoscoping-crash.
    - Remove merged patch 05-pgm-luma-crash.
  * Add upstream patch 04-rotoscoping-crash.
  * Add upstream patch 05-pgm-luma-crash.
  * Bump Standards-Version to 4.1.4.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 16 May 2018 13:50:09 +0200

mlt (6.6.0-2) unstable; urgency=medium

  * Add upstream patch 01-qimage-segfault.
  * Add upstream patch 02-qimage-crash.
  * Add upstream patch 03-crash-kdenlivetile.´
  * Move source lintian overrides to source directory.
  * Renamed deprecated lintian tag.
  * Install a few example files and add them to the libmlt-dev package.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 21 Mar 2018 16:47:34 +0100

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
  libebur128-dev (>= 1.2.0-2),
  dh-python,
  python-all-dev (>= 2.6.6-3~)
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Section: libs
 Homepage: https://www.mltframework.org

## mlt 6.8.0+git20180605

=== debian/changelog ===
mlt (6.8.0+git20180605-1) unstable; urgency=medium

  * New upstream git snapshot to fix various little bugs.
  * Remove trailing whitespace from debian/changelog.
  * Move package to my own repository.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 05 Jun 2018 14:37:42 +0200

## mlt 6.10.0

=== src/modules/decklink/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lpthread

include ../../../config.mak

TARGET = ../libmltdecklink$(LIBSUF)

OBJS = consumer_decklink.o \
	producer_decklink.o \
	common.o

ifeq ($(targetos), MinGW)
CFLAGS += -Iwin
OBJS += win/DeckLinkAPI_i.o
LDFLAGS += -lole32 -loleaut32
else
ifeq ($(targetos), Darwin)
CFLAGS += -Idarwin
OBJS += darwin/DeckLinkAPIDispatch.o
LDFLAGS += -framework CoreFoundation
else
CFLAGS += -Ilinux
OBJS += linux/DeckLinkAPIDispatch.o
endif
endif

SRCS := $(OBJS:.o=.cpp)

CXXFLAGS += $(CFLAGS) -Wno-deprecated -Wno-multichar -fno-rtti

LDFLAGS += $(LIBDL)

all: 	$(TARGET)
	
$(TARGET): $(OBJS)
		$(CXX) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CXX) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(moduledir)"
	install -d "$(DESTDIR)$(mltdatadir)/decklink"
	install -m 644 *.yml "$(DESTDIR)$(mltdatadir)/decklink"

uninstall:
	rm -f "$(DESTDIR)$(moduledir)/libmltdecklink$(LIBSUF)"
	rm -rf "$(DESTDIR)$(mltdatadir)/decklink"

ifneq ($(wildcard .depend),)
include .depend
endif

=== debian/changelog ===
mlt (6.10.0-1build1) cosmic; urgency=medium

  * No-change rebuild for ffmpeg soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Jul 2018 08:47:22 +0000

mlt (6.10.0-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 03 Jul 2018 10:36:54 +0200

## mlt 6.12.0

=== src/melt/Makefile ===
--- 
+++ 
@@ -24,6 +24,7 @@
 endif
 
 ifeq ($(targetos), MinGW)
+LDFLAGS += -mconsole
 bindir = $(prefix)
 endif

=== debian/changelog ===
mlt (6.12.0-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 06 Dec 2018 18:47:24 -0800

mlt (6.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.2.1.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 27 Nov 2018 10:18:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: mlt
 Priority: optional
-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Build-Depends: debhelper (>= 11),
  ffmpeg,
  libqt5opengl5-dev,
@@ -30,7 +31,7 @@
  libebur128-dev (>= 1.2.0-2),
  dh-python,
  python-all-dev (>= 2.6.6-3~)
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Section: libs
 Homepage: https://www.mltframework.org

=== debian/rules ===
--- 
+++ 
@@ -43,3 +43,6 @@
 
 override_dh_python2:
 	dh_python2 --no-guessing-versions
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## mlt 6.12.0.1+rb2

=== src/examples/Makefile ===
CXXFLAGS += -Wall -g $(shell pkg-config mlt++ --cflags)
LDFLAGS += $(shell pkg-config mlt++ --libs-only-L)
LDLIBS += $(shell pkg-config mlt++ --libs-only-l)
CC=c++

all:		play

play:		play.o

play.o:		play.cpp

clean:
	$(RM) play play.o

distclean: clean

install:

uninstall:

=== src/modules/avformat/Makefile ===
--- 
+++ 
@@ -12,7 +12,8 @@
 TARGET = ../libmltavformat$(LIBSUF)
 endif
 
-OBJS = factory.o
+OBJS = common.o \
+       factory.o
 
 ifdef FILTERS
 OBJS += filter_avcolour_space.o \
@@ -39,6 +40,11 @@
 ifdef AVFILTER
 CFLAGS += -DAVFILTER
 OBJS += filter_avfilter.o
+endif
+
+ifdef SWRESAMPLE
+OBJS += filter_swresample.o
+CFLAGS += -DSWRESAMPLE
 endif
 
 SRCS := $(OBJS:.o=.c)

=== src/modules/lumas/Makefile ===
--- 
+++ 
@@ -10,6 +10,8 @@
 # Strips the CROSS prefix from the C compiler variable.
 ifdef CROSS
 	$(subst $(CROSS),,$(CC)) -o $@ luma.c
+else
+	$(CC) -o $@ luma.c
 endif
 
 create_lumas:

=== src/modules/oldfilm/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lm

include ../../../config.mak

TARGET = ../libmltoldfilm$(LIBSUF)

OBJS = factory.o \
	   filter_oldfilm.o \
	   filter_dust.o \
	   filter_lines.o \
	   filter_grain.o \
	   filter_tcolor.o \
	   filter_vignette.o

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(moduledir)"
	install -d $(DESTDIR)$(mltdatadir)/oldfilm
	install -m 644 *.svg "$(DESTDIR)$(mltdatadir)/oldfilm"
	install -m 644 *.yml "$(DESTDIR)$(mltdatadir)/oldfilm"


ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/opengl/Makefile ===
include ../../../config.mak

CFLAGS := -I../.. $(CFLAGS)

LDFLAGS := -L../../framework -lmlt -lm $(LDFLAGS)

TARGET = ../libmltopengl$(LIBSUF)

OBJS = factory.o

CPPOBJS = filter_glsl_manager.o
CPPOBJS += filter_movit_blur.o
CPPOBJS += filter_movit_convert.o
CPPOBJS += filter_movit_crop.o
CPPOBJS += filter_movit_deconvolution_sharpen.o
CPPOBJS += filter_movit_diffusion.o
CPPOBJS += filter_movit_glow.o
CPPOBJS += filter_movit_lift_gamma_gain.o
CPPOBJS += filter_movit_mirror.o
CPPOBJS += filter_movit_opacity.o
CPPOBJS += filter_movit_rect.o
CPPOBJS += filter_movit_resample.o
CPPOBJS += filter_movit_resize.o
CPPOBJS += filter_movit_saturation.o
CPPOBJS += filter_movit_vignette.o
CPPOBJS += filter_movit_white_balance.o
CPPOBJS += mlt_movit_input.o
CPPOBJS += transition_movit_luma.o
CPPOBJS += transition_movit_mix.o
CPPOBJS += transition_movit_overlay.o

CFLAGS += -Wno-deprecated
CFLAGS += $(shell pkg-config --cflags movit 2> /dev/null)
CXXFLAGS += $(CFLAGS)

SHADERDIR = $(shell pkg-config --variable=shaderdir movit)
CXXFLAGS += -DSHADERDIR=\"$(SHADERDIR)\"

LDFLAGS += -L../../mlt++ -lmlt++

ifeq ($(targetos), MinGW)
	CXXFLAGS += $(shell pkg-config --cflags movit)
	LDFLAGS += $(shell pkg-config --libs movit) -lopengl32 -lpthread
else
	LDFLAGS += $(shell pkg-config --libs movit 2> /dev/null)
ifeq ($(targetos), Darwin)
	CXXFLAGS += -FOpenGL
	LDFLAGS += -lpthread -framework OpenGL
else
	OBJS += consumer_xgl.o
	LDFLAGS += -lpthread -lGL -lX11
endif
endif

SRCS := $(OBJS:.o=.c) $(CPPOBJS:.o=.cpp)

all: $(TARGET)

$(TARGET): $(OBJS) $(CPPOBJS)
		$(CXX) $(SHFLAGS) -o $@ $(OBJS) $(CPPOBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CXX) -MM $(CXXFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend config.h config.mak

clean:	
		rm -f $(OBJS) $(TARGET) $(CPPOBJS)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(moduledir)"
	install -d "$(DESTDIR)$(mltdatadir)/opengl"
	install -m 644 *.yml "$(DESTDIR)$(mltdatadir)/opengl"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/plus/Makefile ===
--- 
+++ 
@@ -20,6 +20,9 @@
 	   filter_lumakey.o \
 	   filter_rgblut.o \
 	   filter_sepia.o \
+	   filter_spot_remover.o \
+	   filter_text.o \
+	   filter_timer.o \
 	   producer_blipflash.o \
 	   producer_count.o \
 	   transition_affine.o

=== src/modules/vmfx/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt

include ../../../config.mak

TARGET = ../libmltvmfx$(LIBSUF)

OBJS = factory.o \
	   filter_chroma.o \
	   filter_chroma_hold.o \
	   filter_mono.o \
	   filter_shape.o \
	   producer_pgm.o

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET) 

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(moduledir)"
	install -d "$(DESTDIR)$(mltdatadir)/vmfx"
	install -m 644 *.yml "$(DESTDIR)$(mltdatadir)/vmfx"

ifneq ($(wildcard .depend),)
include .depend
endif

=== debian/changelog ===
mlt (6.12.0.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 28 Jan 2021 20:01:55 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: mlt
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
+Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Build-Depends: debhelper (>= 11),
  ffmpeg,
  libqt5opengl5-dev,

## mlt 6.14.0

=== src/framework/Makefile ===
--- 
+++ 
@@ -84,8 +84,8 @@
 
 ifeq ($(targetos), MinGW)
 LDFLAGS += -liconv
-OBJS += ../win32/win32.o
-SRCS += ../win32/win32.c
+OBJS += ../win32/win32.o ../win32/strptime.o
+SRCS += ../win32/win32.c ../win32/strptime.c
 endif
 
 CFLAGS += $(RDYNAMIC) -DPREFIX_DATA="\"$(mltdatadir)\"" -DPREFIX_LIB="\"$(moduledir)\""
@@ -113,9 +113,14 @@
 install:
 	install -d $(DESTDIR)$(libdir)
 	if [ "$(targetos)" = "MinGW" ]; then \
-		install -m 755 $(TARGET) $(DESTDIR)$(prefix) ; \
-		install -m 755 $(TARGET) $(DESTDIR)$(libdir)/libmlt.dll ; \
-		install -m 644 libmlt.def $(DESTDIR)$(libdir) ; \
+		if [ "$(windeploy)" = true ]; then \
+			install -m 755 $(TARGET) "$(DESTDIR)$(prefix)" ; \
+			install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/libmlt.dll" ; \
+		else \
+			install -m 755 $(TARGET) "$(DESTDIR)$(bindir)" ; \
+			install -m 755 $(TARGET) "$(DESTDIR)$(bindir)/libmlt.dll" ; \
+		fi; \
+		install -m 644 libmlt.def "$(DESTDIR)$(libdir)" ; \
 	else \
 		install -m 755 $(TARGET) $(DESTDIR)$(libdir) ; \
 		ln -sf $(TARGET) $(DESTDIR)$(libdir)/$(SONAME) ; \
@@ -131,6 +136,15 @@
 	if [ "$(targetos)" != "MinGW" ]; then \
 		rm -f "$(DESTDIR)$(libdir)/$(SONAME)" ; \
 		rm -f "$(DESTDIR)$(libdir)/$(NAME)" ; \
+	else \
+		if [ "$(windeploy)" = true ]; then \
+			rm -f "$(DESTDIR)$(prefix)/$(TARGET)" ; \
+			rm -f "$(DESTDIR)$(libdir)/libmlt.dll" ; \
+		else \
+			rm -f "$(DESTDIR)$(bindir)/$(TARGET)" ; \
+			rm -f "$(DESTDIR)$(bindir)/libmlt.dll" ; \
+		fi ; \
+		rm -f "$(DESTDIR)$(libdir)/libmlt.def" ; \
 	fi
 	rm -rf "$(DESTDIR)$(prefix)/include/mlt/framework"
 	rm -f "$(DESTDIR)$(mltdatadir)/metaschema.yaml"

=== src/modules/lumas/Makefile ===
--- 
+++ 
@@ -19,13 +19,19 @@
 depend:
 
 distclean:
-	rm -rf PAL NTSC luma 
+	rm -rf luma 9_16 16_9 NTSC PAL square
 
 clean:
 	rm -f luma 
 
 install:	all
-	install -d $(DESTDIR)$(mltdatadir)/lumas/PAL
-	install -d $(DESTDIR)$(mltdatadir)/lumas/NTSC
-	install -m 644 PAL/* $(DESTDIR)$(mltdatadir)/lumas/PAL
-	install -m 644 NTSC/* $(DESTDIR)$(mltdatadir)/lumas/NTSC
+	install -d "$(DESTDIR)$(mltdatadir)/lumas/9_16"
+	install -d "$(DESTDIR)$(mltdatadir)/lumas/16_9"
+	install -d "$(DESTDIR)$(mltdatadir)/lumas/NTSC"
+	install -d "$(DESTDIR)$(mltdatadir)/lumas/PAL"
+	install -d "$(DESTDIR)$(mltdatadir)/lumas/square"
+	install -m 644 9_16/* "$(DESTDIR)$(mltdatadir)/lumas/9_16"
+	install -m 644 16_9/* "$(DESTDIR)$(mltdatadir)/lumas/16_9"
+	install -m 644 NTSC/* "$(DESTDIR)$(mltdatadir)/lumas/NTSC"
+	install -m 644 PAL/*  "$(DESTDIR)$(mltdatadir)/lumas/PAL"
+	install -m 644 square/* "$(DESTDIR)$(mltdatadir)/lumas/square"

## mlt 6.16.0

=== debian/changelog ===
mlt (6.16.0-7) unstable; urgency=medium

  * Add Rules-Requires-Root no to debian/control.
  * Bump Standards-Version to 4.4.1.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 09 Oct 2019 17:01:59 +0200

mlt (6.16.0-6) unstable; urgency=high

  * Use correct path for installing the Python 3 module.
    Closes: #940591
  * Remove obsolet cleanup rules from debian/rules.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 18 Sep 2019 10:28:14 +0200

mlt (6.16.0-5) unstable; urgency=high

  * Remove deprecated conflicts and replaces from debian/control.
  * Rename python-mlt package to python3-mlt.
    Closes: #940166

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 17 Sep 2019 13:18:54 +0200

mlt (6.16.0-4) unstable; urgency=medium

  * Migrate package to python3.
    Closes: #937056
  * Bump debian/compat to level 12.
  * Use compressed 8 bit lumas.
    Closes: #934590

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 02 Sep 2019 12:53:09 +0200

mlt (6.16.0-3) unstable; urgency=medium

  * Make a new source only upload.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 23 Jul 2019 11:39:59 +0200

mlt (6.16.0-2) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0.
  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 08 Jul 2019 15:20:47 +0200

mlt (6.16.0-1) experimental; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 09 May 2019 11:05:03 +0200

mlt (6.14.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0.
  * Build package with libvidstab-dev.
    Closes: #887019

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 26 Apr 2019 11:21:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: mlt
 Priority: optional
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12),
  ffmpeg,
  libqt5opengl5-dev,
  libqt5svg5-dev,
@@ -21,6 +21,7 @@
  libsox-dev (>= 14.3.0),
  libswscale-dev,
  libvorbis-dev,
+ libvidstab-dev,
  libxine2-dev,
  libxml2-dev,
  librtaudio-dev [linux-any],
@@ -28,10 +29,11 @@
  frei0r-plugins-dev,
  swig,
  libebur128-dev (>= 1.2.0-2),
- dh-python,
- python-all-dev (>= 2.6.6-3~)
-Standards-Version: 4.2.1
+ python3-dev,
+ dh-python
+Standards-Version: 4.4.1
 Section: libs
+Rules-Requires-Root: no
 Homepage: https://www.mltframework.org
 
 Package: libmlt-dev
@@ -55,20 +57,6 @@
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Recommends: libmlt-data (>= ${source:Version})
-Conflicts: libmlt0.2,
- libmlt0.2.5,
- libmlt1,
- libmlt2,
- libmlt3,
- libmlt4,
- libmlt5
-Replaces: libmlt0.2,
- libmlt0.2.5,
- libmlt1,
- libmlt2,
- libmlt3,
- libmlt4,
- libmlt5
 Description: multimedia framework (runtime)
  MLT is an open source multimedia framework, designed and developed for
  television broadcasting. It provides a toolkit for broadcasters, video
@@ -114,10 +102,6 @@
 Architecture: any
 Depends: ${shlibs:Depends},
  ${misc:Depends}
-Conflicts: libmlt++0.2,
- libmlt++2
-Replaces: libmlt++0.2,
- libmlt++2
 Description: MLT multimedia framework C++ wrapper (runtime)
  MLT is an open source multimedia framework, designed and developed for
  television broadcasting. It provides a toolkit for broadcasters, video
@@ -140,19 +124,15 @@
  multitrack command line oriented video editor. It could also used as an
  minimalistic media player for audio and video files.
 
-Package: python-mlt
+Package: python3-mlt
 Architecture: any
 Section: python
 Depends: ${shlibs:Depends},
  ${misc:Depends},
- ${python:Depends}
-Provides: ${python:Provides}
-Conflicts: python-mlt2,
- python-mlt3,
- python-mlt5
-Replaces: python-mlt2,
- python-mlt3,
- python-mlt5
+ ${python3:Depends}
+Provides: ${python3:Provides}
+Conflicts: python-mlt
+Replaces: python-mlt
 Description: multimedia framework (Python bindings)
  MLT is an open source multimedia framework, designed and developed for
  television broadcasting. It provides a toolkit for broadcasters, video

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Enable MMX and SSE on amd64 architecture
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), "amd64"))
	EXTRA_CONFIGURE_OPTS += --enable-mmx --enable-sse
else
	EXTRA_CONFIGURE_OPTS += --disable-mmx --disable-sse --disable-sse2
endif

DEB_CONFIGURE_EXTRA_FLAGS := \
	--enable-gpl \
	--enable-gpl3 \
	--enable-motion_est \
	$(EXTRA_CONFIGURE_OPTS) \
	--luma-compress \
	--luma-8bpp \
	--avformat-shared=/usr \
	--swig-languages=python \
	--qimage-libdir=/usr/lib \
	--disable-swfdec

PYTHON_DIR := usr/lib/python3/dist-packages

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_auto_clean:
	[ ! -f config.mak ] || $(MAKE) distclean

override_dh_install:
	mkdir -p debian/python3-mlt/$(PYTHON_DIR)
	install -m 644 src/swig/python/mlt.py debian/python3-mlt/$(PYTHON_DIR)/mlt.py
	install -m 644 src/swig/python/_mlt.so debian/python3-mlt/$(PYTHON_DIR)/_mlt.so
	dh_install

override_dh_makeshlibs:
	dh_makeshlibs -V
